# Account Webhooks Webhooks API to manage account-specific webhooks. You can create, retrieve, update, and delete webhooks programmatically. Account-level webhooks are configured independently for US and EU regions. When triggered, webhook URLs are deduplicated by event type, across account and domain levels to prevent redundant webhook sends. ## List account-level webhooks - [GET /v1/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/account-webhooks/get-v1-webhooks.md): Retrieve all account-level webhooks or filter by specific webhook IDs. Returns webhook details including associated event types. ## Create an account-level webhook - [POST /v1/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/account-webhooks/post-v1-webhooks.md): Create account-level webhook URLs to receive Mailgun's POST requests containing event information across all domains in your account. Note: Webhook changes can take up to 10 minutes to become effective due to caching. ## Delete account-level webhooks - [DELETE /v1/webhooks](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/account-webhooks/delete-v1-webhooks.md): Delete account-level webhooks for the authenticated account. You can either delete all webhooks by setting all=true, or specify specific webhook IDs to delete via webhook_ids. If both are provided, the specific webhook_ids will be deleted. Note: Webhook changes can take up to 10 minutes to become effective due to caching. ## Get account-level webhook by ID - [GET /v1/webhooks/{webhook_id}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/account-webhooks/get-v1-webhooks--webhook-id-.md): Retrieve a specific account-level webhook by its webhook ID. Returns webhook details including associated event types. ## Update an account-level webhook - [PUT /v1/webhooks/{webhook_id}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/account-webhooks/put-v1-webhooks--webhook-id-.md): Update an existing account-level webhook by replacing its URL, description, and event types. The webhook is identified by webhook_id and completely replaced with the new configuration. Note: Webhook changes can take up to 10 minutes to become effective due to caching. ## Delete account-level webhook by ID - [DELETE /v1/webhooks/{webhook_id}](https://documentation.mailgun.com/docs/inboxready/api-reference/optimize/mailgun/account-webhooks/delete-v1-webhooks--webhook-id-.md): Delete a specific account-level webhook by its webhook ID. This removes the webhook from all associated event types. Note: Webhook changes can take up to 10 minutes to become effective due to caching.